@import url('https://fonts.googleapis.com/css?family=Lato:400,400i,700,700i&display=swap');
//font-family: 'Lato', sans-serif;
@import url('https://fonts.googleapis.com/css?family=Montserrat:400,500&display=swap');
//font-family: 'Montserrat', sans-serif;
@import "mixins";
@import "variables.scss";

a {
  text-decoration: none;
}

.container {
  max-width: 320px;
  margin: 0 auto;
  @include _640 {
    max-width: 640px;
  }
  @include _980 {
    max-width: 980px;
  }
}

.header {
  position: relative;

  &__navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 37px;
    font-family: 'Montserrat', sans-serif;;
    font-weight: 500;
    color: #fff;
    background-color: $grey-color;

    @include _640 {
      height: 74px;
    }
    @include _980 {
      height: 97px;
    }

    p {
      font-size: 12px;
      padding-left: $side-padding-320;

      @include _640 {
        font-size: 24px;
        padding-left: $side-padding-640;
      }
      @include _980 {
        display: none;
      }
    }

    &-menu{
      position: absolute;
      top: 37px;
      right: 0;
      width: 58%;

      @include _640 {
        top: 74px;
        width: 38%;
      }
      @include _980 {
        position: relative;
        top: 0;
        right: 0;
        width: 600px;
      }

      li {
        a {
          display: block;
          font-family: 'Lato', sans-serif;
          font-size: 10px;
          color: $dark-grey-color;
          background-color: #fafafa;
          border: 1px solid #e1e1e1;
          border-bottom: none;
          padding: 10px;

          @include _640 {
            font-size: 14px;
            padding: 14px 28px 14px;
          }
          @include _980 {
            display: inline-block;
            font-family: 'Lato', sans-serif;
            font-size: 18px;
            color: #fff;
            background-color: $grey-color;
            border: none;
            padding: 10px;
          }
        }
        a:hover {
          background-color: #f5f5f5;
        }
      }
      li:last-child {
        a {
          border-bottom: 1px solid #e1e1e1;
        }
      }
    }

    .hide {
      display: none;
      @include _980 {
        display: block;
      }
    }

    &-menu-button {
      width: 41px;
      height: 37px;
      background-color: $dark-grey-color;
      display: block;
      font-size: 20px;
      color: #fff;
      text-align: center;
      line-height: 37px;
      cursor: pointer;

      @include _640 {
        width: 83px;
        height: 74px;
        font-size: 40px;
        line-height: 74px
      }
      @include _980 {
        display: none;
      }
    }
  }

  &__title {
    font-family: 'Lato', sans-serif;
    background: url("../img/banner-640.jpg") no-repeat;
    background-size: cover;
    height: 172px;
    line-height: 24px;
    margin-bottom: 4px;

    @include _640 {
      height: 346px;
      margin-bottom: 5px;
      line-height: 44px;
    }

    h1 {
      padding-top: 14px;
      padding-left: $side-padding-320;
      font-size: 16px;
      font-weight: 700;
      color: #fff;

      @include _640 {
        padding-top: 30px;
        padding-left: $side-padding-640;
        font-size: 36px;
        margin-bottom: 10px;
      }
    }
    a {
      padding-left: $side-padding-320;
      font-size: 14px;
      font-weight: 700;
      color: $link-color;

      @include _640 {
        font-size: 24px;
        padding-left: $side-padding-640;
      }
    }
    a:hover {
      color: $green-color;
    }
  }
}


.product-category {
  font-family: 'Lato', sans-serif;
  margin-bottom: 26px;
  @include _640 {
    font-size: 45px;
  }
  ul {
    list-style: none;
  }
  &__item {
    display: flex;
    justify-content: space-between;
    margin-bottom: 3px;

    div:first-child {
      flex-basis: 77%;
      text-align: center;

      p {
        font-family: 'Lato', sans-serif;
        font-size: 20px;
        color: #fff;
        font-weight: 700;
        padding: 27px 0;

        @include _640 {
          font-size: 36px;
          padding: 60px 0;
        }
      }
    }

    div:last-child {
      flex-basis: 23%;
      font-size: 20px;
      color: #fff;
      font-weight: 700;
      text-align: center;
      padding: 27px 0;
      background-color: $green-color;

      @include _640 {
        font-size: 36px;
        padding: 60px 0;
      }
    }
  }
  &__pizza {
    background-image: url("../img/delivery-320.png");
    background-repeat: no-repeat;
    background-size: cover;

    @include _640 {
      background-image: url("../img/delivery-640.jpg");
    }
  }
  &__salads {
    background-image: url("../img/salads-320.png");
    background-repeat: no-repeat;
    background-size: cover;

    @include _640 {
      background-image: url("../img/salads-640.jpg");
    }
  }
  &__desserts {
    background-image: url("../img/desserts-320.png");
    background-repeat: no-repeat;
    background-size: cover;

    @include _640 {
      background-image: url("../img/deserts-640.jpg");
    }
  }
}

.menu {
  font-family: 'Lato', sans-serif;
  color: $dark-grey-color;

  h2 {
    font-size: 20px;
    color: $dark-grey-color;
    text-transform: uppercase;
    padding-left: 9px;
    padding-bottom: 4px;

    @include _640 {
      font-size: 36px;
      padding-left: 22px;
      padding-bottom: 8px;
    }
  }
  h5 {
    font-size: 11px;
    color: #cbccce;
    padding-left: 9px;
    padding-bottom: 10px;

    @include _640 {
      font-size: 18px;
      padding-left: 22px;
      padding-bottom: 18px;
    }
  }
  &__first-block {
    padding-bottom: 25px;

    @include _640 {
      padding-bottom: 35px;
    }

    &-title {
      width: 100%;
      background-color: $grey-color;

      h3 {
        font-size: 24px;
        color: $green-color;
        text-transform: uppercase;
        padding: 12px 0 11px $side-padding-320;

        @include _640 {
          padding: 22px 0 21px $side-padding-640;
          font-size: 36px;
        }
      }
    }
  }
  &__second-block {
    padding-bottom: 40px;

    &-title {
      width: 100%;
      background-color: $green-color;

      h3 {
        font-size: 20px;
        color: #fff;
        text-transform: uppercase;
        padding: 12px 0 11px $side-padding-320;

        @include _640 {
          padding: 22px 0 21px $side-padding-640;
          font-size: 36px;
        }
      }
    }
  }
  &__category-subtitle {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px $side-padding-320;
    text-transform: uppercase;
    font-size: 15px;

    @include _640 {
      padding: 18px $side-padding-640;
      font-size: 27px;
    }
  }

  &__image-slim {
    height: 25px;
    width: 25px;
    text-align: center;

    @include _640 {
      height: 50px;
      width: 50px;
    }

    img {
      height: 100%;
    }
  }
  &__image-fat {
    height: 20px;
    width: 30px;
    text-align: center;

    @include _640 {
      height: 42px;
      width: 58px;
    }

    img {
      height: 100%;
    }
  }

  &__item {
    padding: 5px $side-padding-320;

    @include _640 {
      padding: 10px $side-padding-640;
    }

    div {
      display: flex;
      justify-content: space-between;
      padding-bottom: 8px;
      font-size: 14px;

      @include _640 {
        padding-bottom: 16px;
        font-size: 26px;
      }

      span:first-child:before {
        content: "\00B7 \00A0";
      }

      span:last-child {
        font-weight: 700;
      }
    }
    p {
      font-size: 9px;
      line-height: 12px;

      @include _640 {
        font-size: 17px;
        line-height: 22px;
      }
    }
  }
}

.footer {
  background-color: $green-color;
  text-align: center;
  p {
    font-family: 'Montserrat', sans-serif;
    font-size: 12px;
    line-height: 18px;
    color: #fff;
    padding: 12px;

    @include _640 {
      font-size: 18px;
      line-height: 28px;
      padding: 22px;
    }
  }
}

